--[[
	nowagepayment.lua
	--- IN DEVELOPMENT ---
	version: 0.1.0.12
	date: 21/12/04
	author: BigBlueHH
]]

NoWagePayment = {}

function NoWagePayment.prerequisitesPresent(specializations)
	return true
end

function NoWagePayment.registerEventListeners(vehicleType)
	SpecializationUtil.registerEventListener(vehicleType, "onUpdateTick", NoWagePayment)
	SpecializationUtil.registerEventListener(vehicleType, "onWriteStream", NoWagePayment)
	SpecializationUtil.registerEventListener(vehicleType, "onReadStream", NoWagePayment)
end

function NoWagePayment:onUpdateTick(dt, isActiveForInput, isActiveForInputIgnoreSelection, isSelected)
	if g_currentMission ~= nil and g_currentMission.controlledVehicle ~= nil and g_currentMission.controlledVehicle.id == self.id then
		if self:getIsAIActive() then
			local difficultyMultiplier = g_currentMission.missionInfo.buyPriceMultiplier
			local pricePerMS = AIJob.getPricePerMs()		
			local paybackPrice = dt * difficultyMultiplier * pricePerMS
			local farmID = self:getAIJobFarmId()
			g_currentMission:addMoney(paybackPrice, farmID, MoneyType.AI, true)
		end
	end	
end

function NoWagePayment:onWriteStream(streamId, connection)
end

function NoWagePayment:onReadStream(streamId, connection)
end

